Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::MenuBar Class Reference

A GtkMenuBar C++ wrapper class. More...

`#include <xfc/gtk/menubar.hh>`

Inheritance diagram for Xfc::Gtk::MenuBar:

List of all members.

## Public Member Functions

Constructors

- MenuBar ()
    Construct a new MenuBar.
- virtual ~MenuBar ()
    Destructor.

Accessors

- GtkMenuBar * gtk_menu_bar () const
    Get a pointer to the GtkMenuBar structure.
- operator GtkMenuBar * () const
    Conversion operator; safely converts a MenuBar to a GtkMenuBar pointer.

## Protected Member Functions

Constructors

- MenuBar (GtkMenuBar *menu_bar, bool owns_reference=false)
    Construct a new MenuBar from an existing GtkMenuBar.

## Detailed Description

A GtkMenuBar C++ wrapper class.

The MenuBar is a subclass of MenuShell which contains one or more MenuItem. The result is a standard menu bar which can hold many menu items. MenuBar allows for a shadow type to be set for aesthetic purposes.

See also: the Menu and MenuItem HOWTOs and example.

## Constructor & Destructor Documentation

Xfc::Gtk::MenuBar::MenuBar | ( | GtkMenuBar * | menu_bar,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new MenuBar from an existing GtkMenuBar.

Parameters:

  | menu_bar | A pointer to a GtkMenuBar.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The menu_bar can be a newly created GtkMenuBar or an existing GtkMenuBar (see G::Object::Object).

The documentation for this class was generated from the following file:

- menubar.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3